
Figure - Bug #117578
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT3】【遥控器】桌面超过2页，在非首页点击back无法返回首页
2023-04-19 17:44 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-04-19

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304190056

Resolution: FIXED Degrated: No

Severity: Minor Verified Version:

Reproducibility: Every time Fixed Version: 2023-04-21

Test Type: ST Root cause: 需求变更

Description

【前置条件】

1.设备正常开机并处于非桌面首页

2.辅助手机中已安装遥控器demo app

3.遥控器demo app已连接设备

【测试步骤】

1.打开遥控器demo app

2.点击一键返回桌面按钮

【预期结果】

2.设备画面返回至桌面首页

【测试结果】

无法反应，不返回桌面首页

History

#1 - 2023-04-20 09:49 - CD FW-廖涛

- Category changed from CD-FW to CD-APP

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-廖涛 to CD APP-王营

#2 - 2023-04-20 13:44 - CD APP-王营

- % Done changed from 0 to 50

■ Current conclusion

问题已解决

■ My analysis

android原生在桌面不支持返回按键处理，需要单独处理遥控器返回事件。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/194933

#3 - 2023-04-20 15:55 - IoT scm

Gerrit Merge Information：
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/194933


194933 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: Launcher: Add back key control on home pageTC-RID: 0301-0205301IssueID: TS-R-BUG-117578Change-Id:

I77458edd45a4ada4a870d4de7d91010c5f3141fe

#4 - 2023-04-20 16:01 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to 物联网测试组_CDTS  唐霞 

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-21

- Root cause set to 需求变更

遥控器返回键，在Launcher桌面，如果不是第一屏，逐一向前翻页直至第一屏；

应用内点击Home键退出到桌面，再次点击Home回到第一屏，如果需求有疑问请和王浩云确认。

#5 - 2023-04-23 17:06 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304220234

#6 - 2023-04-23 17:06 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
